Description

Running

# foreman-installer -v --foreman-ipa-authentication=true

 on RHEL 6.6 with 1.7 and nightly fails. On RHEL 7, the same command passes.

The error is

[ WARN 2015-04-20 06:19:13 verbose]  Could not load fact file /usr/share/foreman-installer/modules

/foreman/lib/facter/facts.rb: no such file to load -- util/sssd

[...]

[ INFO 2015-04-20 06:19:16 verbose] foreman: The system does not seem to be IPA-enrolled at /usr/s

hare/foreman-installer/modules/foreman/manifests/config.pp:55 on node foreman.example.com

This is with  

# rpm -qf /usr/share/foreman-installer/modules/foreman/lib/facter/util/sssd.rb

foreman-installer-1.7.4-1.el6.noarch

 One possible difference is that on RHEL 6, there is

# rpm -q puppet

puppet-2.7.26-2.el6.noarch

 while on RHEL 7, there is

puppet-3.6.2-3.el7.noarch

 I know I saw this issue earlier or discussed it on IRC but I've hit it today and the fact that it is present with nightly

# rpm -qf /usr/share/foreman-installer/modules/foreman/lib/facter/sssd.rb /usr/share/foreman-insta

ller/modules/foreman/lib/facter/util/sssd.rb

foreman-installer-1.9.0-0.develop.201504200925git6d5c890.el6.noarch

foreman-installer-1.9.0-0.develop.201504200925git6d5c890.el6.noarch

 as well makes me suspect something is still wrong.

History

#1 - 04/20/2015 10:34 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Category set to Foreman modules

- Priority changed from High to Normal

#2 - 07/20/2015 08:39 AM - Veronika Kabatova
Hi, the problem is still present with

rpm -qf /usr/share/foreman-installer/modules/foreman/lib/facter/util/sssd.rb

foreman-installer-1.10.0-0.develop.201507200324gitb34c05c.el6.noarch

#3 - 12/10/2015 09:33 AM - Jan Pazdziora

We still see Foreman failing to configure with IPA, on RHEL 6.5 and 6.7, with

foreman-installer-1.11.0-0.develop.201512100324git345d7f0.el6.noarch

foreman-1.11.0-0.develop.201512091815git0e9b35e.el6.noarch

#4 - 04/07/2017 04:48 AM - Dominic Cleal

- Status changed from New to Rejected

Support for EL6 was dropped in Foreman 1.12, this will not be fixed.
